package com.fjhx.service.video;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.video.VideoInfo;
import com.fjhx.params.video.VideoInfoVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
public interface VideoInfoService extends BaseService<VideoInfo> {

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(VideoInfoVo videoInfoVo);

    void edit(VideoInfoVo videoInfoVo);

    void delete(VideoInfoVo videoInfoVo);

    Map<String, Object> details(VideoInfoVo videoInfoVo);

}
